<?php
if ( ! defined( 'DEMOLITION_CONTRACTOR_VERSION' ) ) {
	define( 'DEMOLITION_CONTRACTOR_VERSION', '1.0.5' );
}

/**
 * Enqueue scripts and styles.
 */
function demolition_contractor_scripts() {
	wp_enqueue_style( 'demolition-contractor-style', trailingslashit( get_template_directory_uri() ) . 'assets/css/style.css', array(), DEMOLITION_CONTRACTOR_VERSION );

	wp_style_add_data( 'demolition-contractor-style', 'rtl', 'replace' );

	wp_enqueue_style( 'demolition-contractor-fontawesome', trailingslashit( get_template_directory_uri() ) . 'assets/css/font-awesome/css/all.css', array(), DEMOLITION_CONTRACTOR_VERSION );

	wp_enqueue_style( 'owl-carousel-css', trailingslashit( get_template_directory_uri() ) . 'assets/css/owl.carousel.css', array(), DEMOLITION_CONTRACTOR_VERSION );
	
	// Enqueue theme JavaScript
	wp_enqueue_script( 'demolition-contractor-theme', trailingslashit( get_template_directory_uri() ) . 'assets/js/theme.js', array(), DEMOLITION_CONTRACTOR_VERSION, true );

	wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );

}
add_action( 'wp_enqueue_scripts', 'demolition_contractor_scripts' );

function demolition_contractor_load_dashicons_front_end() {
    wp_enqueue_style( 'dashicons' );
}
add_action( 'wp_enqueue_scripts', 'demolition_contractor_load_dashicons_front_end' );

/**
 * Enqueue Editor styles.
 */
function demolition_contractor_enqueue_editor_block_styles() {
	// Enqueue editor styles.
	add_editor_style( trailingslashit( get_template_directory_uri() ) . 'assets/css/editor-style.css' );
}
add_action( 'after_setup_theme', 'demolition_contractor_enqueue_editor_block_styles' );

/**
 * Pattern categories.
 */
function demolition_contractor_register_block_pattern_category() {
	register_block_pattern_category(
		'banner',
		array(
			'label' => esc_html__( 'Banner', 'demolition-contractor' ),
		)
	);
	
	register_block_pattern_category(
		'services',
		array(
			'label' => esc_html__( 'services', 'demolition-contractor' ),
		)
	);
}
add_action( 'init', 'demolition_contractor_register_block_pattern_category' );

/**
 * Add theme support for various features.
 */
function demolition_contractor_setup() {

	load_theme_textdomain( 'demolition-contractor', get_template_directory() . '/languages' );

	// Add support for block styles.
	add_theme_support( 'wp-block-styles' );
	
	// Add support for editor styles.
	add_theme_support( 'editor-styles' );
	
	// Add support for responsive embedded content.
	add_theme_support( 'responsive-embeds' );
}
add_action( 'after_setup_theme', 'demolition_contractor_setup' );

/**
 * Upgrade to Pro
 */
require_once( trailingslashit( get_template_directory() ) . 'demolition-contractor-pro/class-customize.php' );

/**
 * Notices
 */
require_once get_parent_theme_file_path( '/activation-notice/class-welcome-notice.php' );

/**getstart*/
require get_template_directory() . '/demolition-contractor-get-theme-info.php';

if ( ! function_exists( 'demolition_contractor_admin_scripts' ) ) :
    function demolition_contractor_admin_scripts($hook) {
        wp_enqueue_style( 'demolition-contractor-get-theme-info-css', get_template_directory_uri() . '/assets/css/demolition-contractor-get-theme-info.css', false ); 
    }
endif;
add_action( 'admin_enqueue_scripts', 'demolition_contractor_admin_scripts' );